## LOC Get Predicted Orbits Data Source indication LOC Get Predicted Orbits Data Source indication |

## Functions

QmiIndicationLocGetPredictedOrbitsDataSourceOutput * | qmi_indication_loc_get_predicted_orbits_data_source_output_ref ()
void | qmi_indication_loc_get_predicted_orbits_data_source_output_unref ()
gboolean | qmi_indication_loc_get_predicted_orbits_data_source_output_get_server_list ()
gboolean | qmi_indication_loc_get_predicted_orbits_data_source_output_get_allowed_sizes ()
gboolean | qmi_indication_loc_get_predicted_orbits_data_source_output_get_indication_status ()

## Types and Values

| QmiIndicationLocGetPredictedOrbitsDataSourceOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationLocGetPredictedOrbitsDataSourceOutput

## Description

## Functions

### qmi_indication_loc_get_predicted_orbits_data_source_output_ref ()

    QmiIndicationLocGetPredictedOrbitsDataSourceOutput *
    qmi_indication_loc_get_predicted_orbits_data_source_output_ref
                                   (QmiIndicationLocGetPredictedOrbitsDataSourceOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationLocGetPredictedOrbitsDataSourceOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_indication_loc_get_predicted_orbits_data_source_output_unref ()

    void
    qmi_indication_loc_get_predicted_orbits_data_source_output_unref
                                   (QmiIndicationLocGetPredictedOrbitsDataSourceOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationLocGetPredictedOrbitsDataSourceOutput. |

Since: 1.22

### qmi_indication_loc_get_predicted_orbits_data_source_output_get_server_list ()

    gboolean
    qmi_indication_loc_get_predicted_orbits_data_source_output_get_server_list
                                   (QmiIndicationLocGetPredictedOrbitsDataSourceOutput *self,
                                    GArray **value_server_list,
                                    GError **error);

Get the 'Server List' field from `self` .

#### Parameters

self | a QmiIndicationLocGetPredictedOrbitsDataSourceOutput. |
value_server_list | a placeholder for the output GArray of gchar * elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type utf8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_indication_loc_get_predicted_orbits_data_source_output_get_allowed_sizes ()

    gboolean
    qmi_indication_loc_get_predicted_orbits_data_source_output_get_allowed_sizes
                                   (QmiIndicationLocGetPredictedOrbitsDataSourceOutput *self,
                                    guint32 *value_allowed_sizes_max_file_size,
                                    guint32 *value_allowed_sizes_max_part_size,
                                    GError **error);

Get the 'Allowed Sizes' field from `self` .

#### Parameters

self | a QmiIndicationLocGetPredictedOrbitsDataSourceOutput. |
value_allowed_sizes_max_file_size | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
value_allowed_sizes_max_part_size | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_indication_loc_get_predicted_orbits_data_source_output_get_indication_status ()

    gboolean
    qmi_indication_loc_get_predicted_orbits_data_source_output_get_indication_status
                                   (QmiIndicationLocGetPredictedOrbitsDataSourceOutput *self,
                                    QmiLocIndicationStatus *value_indication_status,
                                    GError **error);

Get the 'Indication Status' field from `self` .

#### Parameters

self | a QmiIndicationLocGetPredictedOrbitsDataSourceOutput. |
value_indication_status | a placeholder for the output QmiLocIndicationStatus, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

## Types and Values

### QmiIndicationLocGetPredictedOrbitsDataSourceOutput

    typedef struct _QmiIndicationLocGetPredictedOrbitsDataSourceOutput QmiIndicationLocGetPredictedOrbitsDataSourceOutput;

The QmiIndicationLocGetPredictedOrbitsDataSourceOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22